#include<bits/stdc++.h>
using namespace std;
int main()
{
    int n;
    cin>>n;
    string str;
    for(int i = 0; i < n; i++)
    {
        cin>>str;
        int letters[123] = {0};
        for(int j = 0; j < str.length(); j++)
        {
            int l = str[j];
            letters[l]++;
        }
        int prime = 0;
        for(int j = 0; j < 123; j++)
        {
            if(letters[j]%2 == 1)
            {
                prime++;
            }
        }
        if(str.length()%2 == 0)
        {
            if(prime != 0)
            {
                cout<<0;
            }
            else
            {
                cout<<1;
            }
        }
        else
        {
            if(prime != 1)
            {
                cout<<0;
            }
            else
            {
                cout<<1;
            }
        }
    }
    return 0;
}
